/**
 * Licensed under the MICE s.r.l.
 * End User License Agreement
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.micegroup.it/voila/license.html
 */
package it.mice.voila.runtime.displaytag.basedec;

import javax.servlet.jsp.PageContext;

/**
 * Display Column Decorator per la trasformazione dei campi valori con 2 cifre decimali. 
 */
public class HexColorDecorator extends ValueDecorator {

	public HexColorDecorator() {
        super();
    }

    public String decorate(Object value) {
    	if (value == null) {
    		return "";
    	}

    	StringBuffer output = new StringBuffer();
    	
    	output.append("<div class='color-box' style='background-color: " + value.toString() + ";'></div>");
   	
        return output.toString();
    }

	@Override
	public void setPageContext(PageContext pageContext) {
		super.setPageContext(getPageContext());
	}
}
